<?php

/**
 * Single Topic Content Part
 *
 * @package bbPress
 * @subpackage Javo Theme
 */

// Exit if accessed directly
defined( 'ABSPATH' ) || exit;

?>

<div id="bbpress-forums" class="bbpress-wrapper">

<div class="row bg-white">
	<div class="container pt-5 pb-2">
		
			<?php bbp_breadcrumb(); ?>
		
			<div class="mt-5 pt-2"><?php do_action( 'bbp_template_before_single_topic' ); ?></div>

           

			<?php if ( post_password_required() ) : ?>

				<?php bbp_get_template_part( 'form', 'protected' ); ?>

				<?php else : ?>

				<?php bbp_topic_tag_list(); ?>

				<?php bbp_single_topic_description(); ?>

				<?php if ( bbp_show_lead_topic() ) : ?>

					<?php bbp_get_template_part( 'content', 'single-topic-lead' ); ?>

				<?php endif; ?>
			<?php endif; ?>
	</div>
</div>

<div class="row bg-white sticky-top">
	<div class="container pt-4 pb-4 d-flex align-items-center justify-content-between gap-2">

        <div class="left_btns">
            <a href="<?php bbp_forum_permalink( bbp_get_topic_forum_id() ); ?>" class="btn btn-light">
                <?php _e( 'Back to Topics', 'bbpress' ); ?>
            </a>
        </div>
        <div class="right_btns">

        <?php echo apply_filters( 'bbp_jv_custom_single_topic_sticky', '' ); ?>

        <button class="bbp-subscribe-button btn btn-light btn-lg py-1">
            <i class="fas fa-spinner fa-spin bbp-spinner" style="display: none;"></i>
            <span class="bbp-subscribe-text"><?php bbp_topic_subscription_link(); ?></span>
        </button>


        <button class="btn btn-light btn-lg py-1 bbp-topic-favorite-button">
            <?php bbp_topic_favorite_link(); ?>
        </button>

        </div>

        
        
        
		<script>
		jQuery(document).ready(function($) {
			$('.bbp-subscribe-button').click(function() {
				var button = $(this);
				var spinner = $('.bbp-spinner', button);
				var text = $('.bbp-subscribe-text', button);

				spinner.show();
				text.hide();

				$.ajax({
					type: 'POST',
					url: ajaxurl,
					data: {
						action: 'bbp_subscription',
						user_id: '<?php echo bbp_get_current_user_id(); ?>',
						topic_id: '<?php echo bbp_get_topic_id(); ?>',
						nonce: '<?php echo wp_create_nonce('bbp-subscribe'); ?>'
					},
					success: function(response) {
						if (response.success) {
							text.html(response.content);
						} else {
							alert(response.content);
						}
					},
					complete: function() {
						spinner.hide();
						text.show();
					}
				});
			});
		});
		</script>




	</div>

</div>

<div class="row">
	<div class="container py-3">
	<?php if ( post_password_required() ) : ?>
		<?php bbp_get_template_part( 'form', 'protected' ); ?>

		<?php else : ?>


		<?php if ( bbp_has_replies() ) : ?>

			<?php bbp_get_template_part( 'pagination', 'replies' ); ?>

			<?php bbp_get_template_part( 'loop',       'replies' ); ?>

			<?php bbp_get_template_part( 'pagination', 'replies' ); ?>

		<?php endif; ?>

		<?php bbp_get_template_part( 'form', 'reply' ); ?>

		<?php endif; ?>
			</div>
		</div>



	<?php bbp_get_template_part( 'alert', 'topic-lock' ); ?>

	<?php do_action( 'bbp_template_after_single_topic' ); ?>

</div>
