<?php
/**
 * This file represents an example of the code that themes would use to register
 * the required plugins.
 *
 * It is expected that theme authors would copy and paste this code into their
 * functions.php file, and amend to suit.
 *
 * @see http://tgmpluginactivation.com/configuration/ for detailed documentation.
 *
 * @package    TGM-Plugin-Activation
 * @subpackage Javo
 * @version    2.6.1 for parent theme Javobp for publication on ThemeForest
 * @author     Thomas Griffin, Gary Jones, Juliette Reinders Folmer
 * @copyright  Copyright (c) 2011, Thomas Griffin
 * @license    http://opensource.org/licenses/gpl-2.0.php GPL v2 or later
 * @link       https://github.com/TGMPA/TGM-Plugin-Activation
 */

add_action( 'tgmpa_register', 'jvbpd_register_required_plugins' );
function jvbpd_register_required_plugins() {

	$config = array(
		'id'           => 'jvbpd',                 // Unique ID for hashing notices for multiple instances of TGMPA.
		'default_path' => '',                      // Default absolute path to bundled plugins.
		'menu'         => 'tgmpa-install-plugins', // Menu slug.
		'has_notices'  => true,                    // Show admin notices or not.
		'dismissable'  => true,                    // If false, a user cannot dismiss the nag message.
		'dismiss_msg'  => '',                      // If 'dismissable' is false, this message will be output at top of nag.
		'is_automatic' => false,                   // Automatically activate plugins after installation or not.
		'message'      => '',                      // Message to output right before the plugins table.
	);

	tgmpa(
		apply_filters( 'jvbpd_tgmpa_plugins', Array(
			Array(
				'name' => 'BuddyPress',
				'slug' => 'buddypress',
				'required' => true,
				'force_activation' => false,
				'force_deactivation' => false,
				'image_url' => esc_url_raw( JVBPD_IMG_DIR . '/icon/jv-default-setting-plugin-buddypress.png' ),
			),
			Array(
				'name' => 'Contact Form 7',
				'slug' => 'contact-form-7',
				'required' => true,
				'force_activation' => false,
				'force_deactivation' => false,
				'image_url' => 'https://ps.w.org/contact-form-7/assets/icon-256x256.png',
			),
			Array(
				'name' => 'Elementor',
				'slug' => 'elementor',
				'required' => true,
				'force_activation' => false,
				'force_deactivation' => false,
				'image_url' => JVBPD_IMG_DIR . '/icon/jv-default-setting-plugin-elementor.png',
			),
			// Array(
			// 	'name' => 'Easy Forms for Mailchimp',
			// 	'slug' => 'yikes-inc-easy-mailchimp-extender',
			// 	'required' => true,
			// 	'force_activation' => false,
			// 	'force_deactivation' => false,
			// 	'image_url' => 'https://ps.w.org/yikes-inc-easy-mailchimp-extender/assets/icon-256x256.png',
			// ),
			Array(
				'name' => 'Post Views Counter',
				'slug' => 'post-views-counter',
				'required' => false,
				'force_activation' => false,
				'force_deactivation' => false,
				'image_url' => 'https://ps.w.org/post-views-counter/assets/icon-256x256.png',
			),
			Array(
				'name' => 'Woocommerce',
				'slug' => 'woocommerce',
				'required' => true,
				'force_activation' => false,
				'force_deactivation' => false,
				'image_url' => 'https://ps.w.org/woocommerce/assets/icon-256x256.png',
			),
			Array(
				'name' => 'The Events Calendar',
				'slug' => 'the-events-calendar',
				'required' => false,
				'force_activation' => false,
				'force_deactivation' => false,
				'image_url' => 'https://ps.w.org/the-events-calendar/assets/icon-256x256.gif',
			),
			Array(
				'name'      => 'One Click Demo Import',
				'slug'      => 'one-click-demo-import',
				'required'  => true,
				'image_url' => 'https://ps.w.org/one-click-demo-import/assets/icon-256x256.png',
			),
		) ),
		apply_filters( 'jvbpd_tgmpa_config', $config )
	);
}
