<?php
if(!class_exists('\TGM_Plugin_Activation')) {
	return;
}
$plugins = TGM_Plugin_Activation::$instance->plugins;
$installed_plugins = get_plugins();
?>

<div class="wrap about-wrap" id="jv-default-setting-plugins-wrap">
    <div class="album pb-5">
        <div class="container-flush">
			<div class="row row-cols-1 row-cols-sm-2 row-cols-md-3 g-3">

			<?php
			foreach( $plugins as $plugin ):
				$class = '';
				$plugin_status = '';
				$file_path = $plugin['file_path'];
				$plugin_action = $this->plugin_link( $plugin );

				if( jvbpd_active_plugin( $file_path ) ) {
					$plugin_status = 'active';
					$class = 'active';
				}
			?>

                <div class="col">
                    <div class="card p-0 shadow-sm theme <?php echo sanitize_html_class( $plugin['slug'] ) . ' ' . sanitize_html_class( $class ); ?>" data-slug="<?php echo esc_attr( $plugin['slug'] ); ?>">
						<div class="card-header position-relative p-0">
							<div class="plugin_thumb" style="background: url('<?php echo esc_attr( $plugin[ 'image_url' ] );?>');height: 250px; width: 100%; background-size: cover;"></div>
							
							<?php if( $plugin['required'] ): ?>
							<div class="badge text-bg-danger position-absolute top-0 end-0 badge pill rounded-0 bg-danger z-index-1">
								<?php esc_html_e( 'Required', 'javo-directory'); ?>
							</div>
							<?php endif; ?>
						</div>
                        <div class="card-body">
                            <p class="card-text">
								<h5><?php echo esc_html( $plugin['name'] ); ?></h5>
								<?php if( isset( $installed_plugins[$plugin['file_path']] ) ): ?>
								<div class="plugin-info">
									<?php echo sprintf('Version %s | %s', $installed_plugins[$plugin['file_path']]['Version'], $installed_plugins[$plugin['file_path']]['Author'] ); ?>
								</div>
								<?php endif; ?>
							</p>
                            <div class="d-flex justify-content-between align-items-center">
								<?php
								foreach( $plugin_action as $action ) {
									echo wp_kses($action, Array(
										'a' => array(
											'href' => Array(),
											'title' => Array(),
											'class' => Array(),
										),
										'button' => Array(
											'type' => Array(),
											'class' => Array(),
										),
										'br' => Array(),
										'em' => Array(),
										'strong' => Array(),
									));
								} ?>
                                <small class="text-muted"><?php echo sprintf('Version %s', $installed_plugins[$plugin['file_path']]['Version']); ?></small>
                            </div>
							<?php if( isset( $plugin_action['update'] ) && $plugin_action['update'] ): ?>
								<div class="theme-update">
									<?php esc_html_e( "Update Available:", 'javo-directory'); ?>
									<?php esc_html_e( "Version", 'javo-directory'); ?>
									<?php echo esc_html( $plugin['version'] ); ?>
								</div>
							<?php endif; ?>
                        </div>
                    </div>
                </div>


        	<?php endforeach; ?>
			</div>
        </div>
    </div>
</div>
