<?php
$helper->wc_setup_ready_actions();
?>

<div class="card-header pb-3 mb-3">
    <h3 class="text-primary fs-6"><?php esc_html_e("Installation Completed", 'javo-directory'); ?></h3>
</div>

<div class="card-body">

<div class="px-4 py-3 my-3 text-center">
	<div class="d-flex justify-content-center">
		<div class="py-2 px-4 rounded gradient_logo fw-bold display-6 mb-4 text-white">J</div>
	</div>
    <h1 class="fs-3 fw-bold border-0"><?php printf( esc_html__( 'Completed! %s is Ready', 'javo-directory'), wp_get_theme()->Name ); ?></h1>
    <div class="col-lg-7 mx-auto">
      <p class="lead mb-4 fs-6"><?php printf( esc_html__( 'Installation has been completed! %s is Ready. Please have a look at our documentation to set your site and modify. If you have any issues and questions, please contact our support team.', 'javo-directory'), wp_get_theme()->Name ); ?></p>
      <div class="d-grid gap-2 d-sm-flex justify-content-sm-center">
	  <?php
			foreach(
				Array(
					Array(
						'comment' => esc_html__( "Youtube Tutorials", 'javo-directory'),
						'link' => 'https://www.youtube.com/playlist?list=PLDoUA52TKZ_8_BdixcPafae20_v2MGQZW',
						'class' => 'btn btn-danger btn-lg px-4 gap-3 fs-6',
					),
					Array(
						'comment' => esc_html__( "Javo Support", 'javo-directory'),
						'link' => esc_url_raw( apply_filters( 'jvbpd_support_url', '' ) ),
						'class' => 'btn btn-outline-secondary btn-lg px-4 fs-6',
					),
				) as $arrSection
			){
				printf(
					'<a class="%4$s" href="%2$s" target="_blank" title="%2$s" >%1$s %3$s</a>',
					$arrSection[ 'comment' ], $arrSection[ 'link' ], esc_html__( "", 'javo-directory'), $arrSection[ 'class' ]
				);
			} ?>
      </div>
    </div>
	<div class="overflow-hidden mt-5" style="max-height: 30vh;">
      <div class="container px-5">
		  <img src="<?php echo get_template_directory_uri(); ?>/screenshot.png"  class="img-fluid border rounded-3 shadow-lg mb-4" alt="Example image" width="700" height="500" loading="lazy">
      </div>
    </div>
  </div>

</div>

<div class="card-footer d-flex justify-content-between align-items-center pt-3 pb-3">
	<a href="https://docs.wpjavo.com/theme/" target="_blank" class="text-primary opacity-75"><?php esc_html_e( 'Online Documentation', 'javo-directory'); ?></a>
	<div>
		<a class="btn btn-primary" href="<?php echo esc_url( home_url( '/' ) ); ?>" target="_blank"><?php esc_html_e( 'Home Page', 'javo-directory'); ?></a></li>
		<a class="btn btn-info" href="<?php echo esc_url( admin_url( '/' ) ); ?>" target="_blank"><?php esc_html_e( 'Admin Dashboard', 'javo-directory'); ?></a></li>
	</div>
</div>