<div class="card-header pb-3 mb-3 d-flex align-items-baseline gap-2">
    <h3 class="text-primary fs-6"><?php esc_html_e( 'Import & Settings', 'javo-directory'); ?></h3>
    <span class="fw-light opacity-75"><?php esc_html_e( 'Import Demo Data & Initial Settings.', 'javo-directory'); ?></span>
</div>

<div class="card-body pt-3 pb-5">
    <ul class="list-group">
        <li>
            <a href="<?php echo admin_url('themes.php?page=pt-one-click-demo-import'); ?>" target="_blank" class="list-group-item list-group-item-action py-3 d-flex align-items-center justify-content-between" aria-current="true">
                <div class="d-flex align-items-baseline gap-2">
                    <h3 class="text-primary fs-6"><?php esc_html_e( 'Step 1', 'javo-directory'); ?></h3>
                    <span class="fw-light opacity-75"><?php esc_html_e( 'Import demo data.', 'javo-directory'); ?></span>
                </div>
                <div class="btn btn-outline-primary">
                    <?php esc_html_e( 'Move to Import Page', 'javo-directory'); ?>
                </div>
            </a>
        </li>
        
        <li>
            <a href="<?php echo admin_url('options-reading.php'); ?>" target="_blank" class="list-group-item list-group-item-action py-3 d-flex align-items-center justify-content-between" aria-current="true">
                <div class="d-flex align-items-baseline gap-2">
                    <h3 class="text-primary fs-6"><?php esc_html_e( 'Step 2', 'javo-directory'); ?></h3>
                    <span class="fw-light opacity-75"><?php esc_html_e( 'Set a Homepage: Choose a static page.', 'javo-directory'); ?></span>
                </div>
                <div class="btn btn-outline-primary">
                    <?php esc_html_e( 'Move to Homepage Settings', 'javo-directory'); ?>
                </div>
            </a>
        </li>

        <li>
            <a href="<?php echo admin_url('options-permalink.php'); ?>" target="_blank" class="list-group-item list-group-item-action py-3 d-flex align-items-center justify-content-between" aria-current="true">
                <div class="d-flex align-items-baseline gap-2">
                    <h3 class="text-primary fs-6"><?php esc_html_e( 'Step 3', 'javo-directory'); ?></h3>
                    <span class="fw-light opacity-75"><?php esc_html_e( 'Set Permalink Settings for better SEO.', 'javo-directory'); ?></span>
                </div>
                <div class="btn btn-outline-primary">
                    <?php esc_html_e( 'Go to Permalink Settings', 'javo-directory'); ?>
                </div>
            </a>
        </li>

        <?php if(function_exists('lava_directory')) { ?>
        <li>
            <a href="#" class="list-group-item list-group-item-action py-3 d-flex align-items-center justify-content-between" aria-current="true">
                <div class="d-flex align-items-baseline gap-2">
                    <h3 class="text-primary fs-6"><?php esc_html_e( 'Step 4', 'javo-directory'); ?></h3>
                    <span class="fw-light opacity-75"><?php esc_html_e( 'Map & Listing Data Generator', 'javo-directory'); ?></span>
                </div>
                <div class="d-flex align-items-center gap-3">
                    <div id="lava-setting-page-progressbar-wrap" class="border-0">
                        <div class="progressbar progress-bar progress-bar-striped progress-bar-animated bg-primary"></div>
                        <div class="text fs-8 text-white"></div>
                    </div>
                    <button type="button" class="btn btn-outline-primary lava-data-refresh-trigger" data-loading="<?php _e( 'Processing', 'javo-directory' ); ?>...">
                        <?php _e('JSON Generator', 'javo-directory'); ?>
                    </button>
                    <?php
                        lava_directory()->enqueue->register_scripts();
                        lava_directory()->admin->settingPageBefore();
                    ?>
                </div>
            </a>
        </li>
        <?php } ?>

        <li>
            <a href="https://youtu.be/nrLzsw0eDrw?si=od4bzjFRRv0GdUM1&t=442" target="_blank" class="list-group-item list-group-item-action py-3 d-flex align-items-center justify-content-between" aria-current="true">
                <div class="d-flex align-items-baseline gap-2">
                    <h3 class="text-primary fs-6"><?php esc_html_e( 'Step 5', 'javo-directory'); ?></h3>
                    <span class="fw-light opacity-75"><?php esc_html_e( 'Watch the final settings guide video.', 'javo-directory'); ?></span>
                </div>
                <div class="btn btn-outline-primary">
                    <?php esc_html_e( 'Watch Video', 'javo-directory'); ?>
                </div>
            </a>
        </li>
    </ul>
</div>

<div class="card-footer d-flex justify-content-between align-items-center pt-3 pb-3">
    <div class="d-flex gap-2" role="group" aria-label="Basic outlined example">
        <a href="https://www.youtube.com/watch?v=nrLzsw0eDrw" target="_blank" class="btn btn-danger">
            <i class="fa fa-youtube me-2"></i><?php esc_html_e( 'Video Tutorial', 'javo-directory'); ?>
        </a>
        <a href="https://docs.wpjavo.com/theme/how-to-import-demo-data-steps/" target="_blank" class="btn btn-outline-primary">
            <?php esc_html_e( 'Install Documentation', 'javo-directory'); ?>
        </a>
    </div>
    <div>
        <a href="<?php echo esc_url( $helper->get_next_step_link() ); ?>" class="btn btn-primary">
            <?php esc_html_e( 'Finish It', 'javo-directory'); ?>
        </a>
    </div>
</div>