<?php
use Javo\Api\Settings; ?>

<div class="card-header pb-3 mb-3">
    <h3 class="text-primary fs-6"><?php printf( esc_html__( 'Get Started', 'javo-directory'), wp_get_theme()->Name ); ?></h3>
</div>

<div class="card-body pt-3 pb-5 text-center">
    <?php if(Settings::isActiveTheme()) { ?>

        <div class="d-flex justify-content-center">
            <div class="py-2 px-4 rounded gradient_logo fw-bold display-6 mb-4 text-white">J</div>
        </div>
        

    <h5 class="text-primary fw-light fs-5 mb-4"><?php printf( esc_html__( '%s setup wizard', 'javo-directory'), wp_get_theme()->Name ); ?></h5>
    <p class="fs-7 fw-light opacity-75 mb-3"><?php printf( __( 'Thank you for choosing %s theme!<br>This quick setup wizard will help you configure the basic settings.', 'javo-directory'), wp_get_theme()->Name ); ?></p>
    <p class="fs-7 fw-light opacity-75 mb-2 mt-3"><?php printf( __( 'Watch the tutorial video and follow along.', 'javo-directory'), wp_get_theme()->Name ); ?></p>
    <p class="mt-0"><a href="https://www.youtube.com/watch?v=nrLzsw0eDrw" target="_blank" class="btn btn-danger"><i class="fa fa-youtube me-2"></i><?php esc_html_e( 'Video Tutorial', 'javo-directory'); ?></a>
    <?php }else{ ?>
        <h2 class="border-0 fs-4 text-white mb-4"><?php esc_html_e("Verify Your Purchase of javo Theme", 'javo-directory'); ?></h2>
        <?php Settings::getActivateMessage(); ?>
        <?php Settings::getActivateForm(); ?>
        <?php get_template_part('views/admin-helper/features'); ?>
    <?php } ?>
</div>

<div class="card-footer d-flex justify-content-between align-items-center pt-3 pb-3">

    <div class="d-flex gap-2" role="group" aria-label="Basic outlined example">
        <a href="https://www.youtube.com/watch?v=nrLzsw0eDrw" target="_blank" class="btn btn-danger"><i class="fa fa-youtube me-2"></i><?php esc_html_e( 'Video Tutorial', 'javo-directory'); ?></a>
        <a href="https://docs.wpjavo.com/theme/how-to-import-demo-data-steps/" target="_blank" class="btn btn-outline-primary"><?php esc_html_e( 'Install Documentation', 'javo-directory'); ?></a>
    </div>
    
    <div class="d-flex gap-2">
        <a href="<?php echo esc_url( admin_url() ); ?>" class="btn btn-outline-primary"><?php esc_html_e( 'Not right now', 'javo-directory'); ?></a>
        <?php if(Settings::isActiveTheme()) { ?>
            <a href="<?php echo esc_url( $helper->get_next_step_link() ); ?>" class="btn btn-primary"><?php esc_html_e( "Let's go!", 'javo-directory'); ?></a>
        <?php } ?>
    </div>
</div>