<div class="card-header pb-3 mb-3">
	<h3 class="text-primary fs-6"><?php esc_html_e( 'Plugins Install & Update', 'javo-directory'); ?></h3>
</div>

<?php
function_exists('tgmpa_load_bulk_installer') && tgmpa_load_bulk_installer();
// install plugins with TGM.
if ( ! class_exists( 'TGM_Plugin_Activation' ) || ! isset( $GLOBALS['tgmpa'] ) ) {
	die( 'Failed to find TGM' );
}
$url     = wp_nonce_url( add_query_arg( array( 'plugins' => 'go' ) ), 'envato-setup' );
$plugins = $helper->_get_plugins();

$method = '';
$fields = array_keys( $_POST );

if ( false === ( $creds = request_filesystem_credentials( esc_url_raw( $url ), $method, false, false, $fields ) ) ) {
	return true;
}

if ( ! WP_Filesystem( $creds ) ) {
	request_filesystem_credentials( esc_url_raw( $url ), $method, true, false, $fields );
	return true;
} ?>
<form method="post">
	<div class="card-body pt-3 pb-5">
	<?php
	$plugins = $helper->_get_plugins();
	if ( count( $plugins['all'] ) ) {
		?>
		<p><?php esc_html_e( 'Your website needs a few essential plugins. The following plugins will be installed or updated:', 'javo-directory'); ?></p>

		<ul class="envato-wizard-plugins list-group list-group-flush">
			<?php foreach ( $plugins['all'] as $plugin ) {
				if(isset($plugin['required']) && false == $plugin['required']) {
					continue;
				} ?>
				<li data-slug="<?php echo esc_attr( $plugin[ 'slug' ] ); ?>" class="list-group-item d-flex align-items-center justify-content-between pe-0">
					<div class="fw-5"><?php echo esc_html( $plugin['name'] ); ?></div>
					<div class="d-flex align-items-center">
						<span class="opacity-50 pe-3">
							<?php
							$keys = array();
							if ( isset( $plugins['install'][ $plugin[ 'slug' ] ] ) ) {
								$keys[] = 'Installation';
							}
							if ( isset( $plugins['update'][ $plugin[ 'slug' ] ] ) ) {
								$keys[] = 'Update';
							}
							if ( isset( $plugins['activate'][ $plugin[ 'slug' ] ] ) ) {
								$keys[] = 'Activation';
							}
							echo implode( ' and ', $keys ) . ' required';
							?>
						</span>
							<div class="jv-spinner spinner-border text-primary spinner-border-sm" role="status">
								<span class="visually-hidden"><?php esc_html_e( 'downloading ....', 'javo-directory'); ?></span>
							</div>
					<div>
				</li>
			<?php } ?>
		</ul>
		<?php
	} else {
		echo '<h2><strong>' . esc_html_e( 'Good news! All plugins are already installed and up to date. Please continue.', 'javo-directory') . '</strong></h2>';
	} ?>

	<p><?php esc_html_e( 'You can add and remove plugins later on from within WordPress. Click Continue to install.', 'javo-directory'); ?></p>
	</div>

	<div class="card-footer d-flex justify-content-between align-items-center pt-3 pb-3">
		<div class="d-flex gap-2" role="group" aria-label="Basic outlined example">
			<a href="https://www.youtube.com/watch?v=nrLzsw0eDrw" target="_blank" class="btn btn-danger"><i class="fa fa-youtube me-2"></i><?php esc_html_e( 'Video Tutorial', 'javo-directory'); ?></a>
			<a href="https://docs.wpjavo.com/theme/how-to-import-demo-data-steps/" target="_blank" class="btn btn-outline-primary"><?php esc_html_e( 'Install Documentation', 'javo-directory'); ?></a>
		</div>
		<a href="<?php echo esc_url( $helper->get_next_step_link() ); ?>" id="jvbpd-wizard-plugins" class="btn btn-primary"><?php esc_html_e( 'Install & Continue', 'javo-directory'); ?></a>
	</div>
</form>