<div class="tab-pane fade" id="v-pills-footer" role="tabpanel" aria-labelledby="v-pills-footer-tab" tabindex="0">
	<h2> <?php esc_html_e("Footer Settings", 'javo-directory'); ?>
		<span class="description ms-3 text-capitalize">
            <?php echo sprintf(
                    esc_html__( 'Set Page Default Templates. To create & manage templates, visit %s on Javo Pagebuilder', 'javo-directory' ),
                    '<a href="edit.php?post_type=jvbpd-listing-elmt&template=custom_footer" target="_blank">' . esc_html__( 'Footer Templates', 'javo-directory' ) . '</a>'
            ); ?>
        </span>
	</h2>
	<table class="form-table">
	<tr><th>
		<h3 class="section-title ps-0 ms-0 mt-0"><?php esc_html_e( "Select a Footer", 'javo-directory');?></h3>
		<span class="description"></span>
	</th><td>

		<?php
		if( function_exists( 'jvbpdCore' ) ) :
			foreach( Array(
				'elementor_footer' => Array(
					'label' => esc_html__( "Default(Global) Footer", 'javo-directory'),
					'description' => esc_html__( 'It is a default & global footer on all pages & posts.<br>To create & manage footer templates, move to <a href="edit.php?post_type=jvbpd-listing-elmt&template=custom_footer" target="_blank">Footer Builder</a>', 'javo-directory'),
				),
				'elementor_footer_search_page' => Array(
					'label' => esc_html__( "Wordpress search result page", 'javo-directory'),
					'description' => esc_html__( 'It is for Default WP Search Result Page. To create & manage footer templates, move to <a href="edit.php?post_type=jvbpd-listing-elmt&template=custom_footer" target="_blank">Footer Builder</a>.<br>If not selected, <b>Default(Global) Footer</b> will be displayed.', 'javo-directory'),
				),
				'elementor_footer_post' => Array(
					'label' => esc_html__( "Single post detail pages", 'javo-directory'),
					'description' => esc_html__( 'It is for single post & blog detail pages. To create & manage footer templates, move to <a href="edit.php?post_type=jvbpd-listing-elmt&template=custom_footer" target="_blank">Footer Builder</a>.<br>If not selected, <b>Default(Global) Footer</b> will be displayed.', 'javo-directory'),
				),
				'elementor_footer_lv_listing' => Array(
					'label' => esc_html__( "Single listing detail pages", 'javo-directory'),
					'description' => esc_html__( 'It is for single listing detail pages. To create & manage footer templates, move to <a href="edit.php?post_type=jvbpd-listing-elmt&template=custom_footer" target="_blank">Footer Builder</a>.<br>If not selected, <b>Default(Global) Footer</b> will be displayed.', 'javo-directory'),
					'condition' => jvbpdCore()->isActivatedPlugins('directory_manager'),
				),
				'elementor_footer_jv_portfolio' => Array(
					'label' => esc_html__( "Single portfolio detail pages", 'javo-directory'),
					'description' => esc_html__( 'It is for single portfolio detail pages. To create & manage footer templates, move to <a href="edit.php?post_type=jvbpd-listing-elmt&template=custom_footer" target="_blank">Footer Builder</a>.<br>If not selected, <b>Default(Global) Footer</b> will be displayed.', 'javo-directory'),
				),
			) as $elementor_footer_key => $elementor_footer_meta ) {
				if( isset( $elementor_footer_meta['condition'] ) ){
					if( false === $elementor_footer_meta['condition'] ) {
						continue;
					}
				}
				?>
				<div class="field-item form-floating mb-4">
					<select class="selectpicker show-tick form-select" data-live-search="true" data-size="10" id="selectFooter" name="jvbpd_ts[<?php echo esc_attr($elementor_footer_key); ?>]">
						<option value=''><?php esc_html_e( "Select a footer", 'javo-directory'); ?></option>
						<?php
						foreach( jvbpdCore()->admin->getElementorFooterID() as $template_id  ) {
							if( false === get_post_status( $template_id ) ) {
								continue;
							}
							printf(
								'<option value="%1$s"%3$s>%2$s</option>', $template_id, get_the_title( $template_id ),
								selected( $template_id == jvbpd_tso()->get( $elementor_footer_key, '' ), true, false )
							);
						} ?>
					</select>
					<label for="selectFooter"><?php echo esc_html( $elementor_footer_meta[ 'label' ] ); ?></label>
					<?php
					if( isset( $elementor_footer_meta[ 'description' ] ) ) { ?>
					<span class="field-help-text">
						<a class="helper-popover" data-bs-toggle="popover" data-bs-html="true" tabindex="0" data-bs-trigger="focus" data-bs-title="<?php esc_html_e('Help & Tip', 'javo-directory');?>" data-bs-content="<?php echo esc_html($elementor_footer_meta[ 'description' ]);?>">
							<i class="feather feather-help-circle"></i>
						</a>
					</span>
					<?php
					} ?>
				</div>
				<?php
			}
		endif; ?>
	</td></tr>
	</table>
</div>
