<div class="tab-pane fade" id="v-pills-general" role="tabpanel" aria-labelledby="v-pills-general-tab" tabindex="0">
	<!-- Themes setting > General -->
	<h2>
		<?php esc_html_e("General", 'javo-directory'); ?>
	</h2>
	<table class="form-table">
		<tr>
			<th>
				<h3 class="section-title ps-0 ms-0">
					<?php esc_html_e("Blank Image Settings", 'javo-directory'); ?>
				</h3>
				<span class='description'>
					<?php esc_html_e("Set a default placeholder, default Map Marker Image", 'javo-directory'); ?>
				</span>
			</th>
			<td>
				<h4 class="section-title mb-4">
					<?php esc_html_e("Blank Image", 'javo-directory'); ?>
				</h4>
				<div class="form-group d-flex gap-1 mb-3">
					<div class="field-item form-floating floating-outline file-uploader">
						<input type="text" class="form-control" id="upload_no_img" placeholder="Placeholder Image" name="jvbpd_ts[no_image]" value="<?php echo esc_attr(jvbpd_tso()->get('no_image', get_template_directory_uri() . '/assets/dist/images/no-image.png')); ?>" tar="g404">
						<label for="upload_no_img">
							<?php esc_html_e("Blank Image", 'javo-directory'); ?>
						</label>
						<span class="field-help-text">
							<a class="helper-popover" data-bs-toggle="popover" tabindex="0" data-bs-trigger="focus" data-bs-title="<?php esc_html_e('Help & Tip', 'javo-directory'); ?>" data-bs-content="<?php esc_html_e('Blank (or white) images are shown when no images are available. The preferred dimensions are 300x300.', 'javo-directory'); ?>">
								<i class="feather feather-help-circle"></i>
							</a>
						</span>
					</div>
					<input type="button" class="btn btn-outline-primary fileupload" value="<?php esc_attr_e('Select Image', 'javo-directory'); ?>" tar="g404">
					<input class="fileuploadcancel btn btn-outline-secondary" tar="g404" value="<?php esc_attr_e('Delete', 'javo-directory'); ?>" type="button">

					<div class="preview-wrap">
						<img class="img-thumbnail" src="<?php echo esc_attr(jvbpd_tso()->get('no_image', get_template_directory_uri() . '/assets/dist/images/no-image.png')); ?>" tar="g404" data-bs-toggle="tooltip" data-bs-placement="top" title="<?php esc_html_e("Preview", 'javo-directory'); ?>">
					</div>
				</div>

				<h4 class="section-title mb-4">
					<?php esc_html_e("Google maps default marker", 'javo-directory'); ?>
				</h4>

				<div class="form-group d-flex gap-1 mb-3">
					<div class="field-item form-floating floating-outline file-uploader">
						<input type="text" class="form-control" id="map_default_mark" placeholder="Placeholder Image" name="jvbpd_ts[marker_image]" value="<?php echo esc_attr(jvbpd_tso()->get('marker_image', '')); ?>" tar="g11">
						<label for="map_default_mark">
							<?php esc_html_e("Map Default Marker Image", 'javo-directory'); ?>
						</label>
						<span class="field-help-text">
							<a class="helper-popover" data-bs-toggle="popover" tabindex="0" data-bs-trigger="focus" data-bs-title="<?php esc_html_e('Help & Tip', 'javo-directory'); ?>" data-bs-content="<?php esc_html_e('Specifies the default Google Map markers used in the map template.', 'javo-directory'); ?>">
								<i class="feather feather-help-circle"></i>
							</a>
						</span>
					</div>
					<input type="button" class="btn btn-outline-primary fileupload" value="<?php esc_attr_e('Select Image', 'javo-directory'); ?>" tar="g11">
					<input type="button" class="fileuploadcancel btn btn-outline-secondary" value="<?php esc_attr_e('Delete', 'javo-directory'); ?>" tar="g404">

					<div class="preview-wrap">
						<img class="img-thumbnail" src="<?php echo esc_attr(jvbpd_tso()->get('marker_image', '')); ?>" tar="g11" data-bs-toggle="tooltip" data-bs-placement="top" title="<?php esc_html_e("Preview", 'javo-directory'); ?>">
					</div>
				</div>
			</td>
		</tr>
		<tr>
			<th>
				<h3 class="section-title ps-0 ms-0 mt-0">
					<?php esc_html_e('Preloader', 'javo-directory'); ?>
				</h3>
				<span class='description'>
					<?php esc_html_e('Preloader with a spinner', 'javo-directory'); ?>
				</span>
			</th>
			<td>
				<fieldset class="inner">
					<div class="field-item form-check form-switch d-flex align-items-center gap-2">
						<?php
						foreach (array('disable' => esc_html__("Disabled", 'javo-directory'), 'enable' => esc_html__("Enable", 'javo-directory'),) as $strPreLoaderKey => $strPreLoaderLabel) {
							printf(
								'<input type="%1$s" id="jvbpd-placeholder-%1$s" name="jvbpd_ts[preloader]" value="%2$s" class="field-item form-check-input"%3$s>',
								('disable' == $strPreLoaderKey ? 'hidden' : 'checkbox'),
								$strPreLoaderKey,
								checked($strPreLoaderKey == jvbpd_tso()->get('preloader', 'disable'), true, false)
							);
						} ?>
						<label class="field-item form-check-label" for="jvbpd-placeholder-checkbox">
							<?php esc_html_e("Enable preloader", 'javo-directory'); ?>
						</label>
					</div>
				</fieldset>
			</td>
		</tr>
		<tr>
			<th>
				<h3 class="section-title ps-0 ms-0 mt-0">
					<?php esc_html_e("Floating Menu", 'javo-directory'); ?>
				</h3>
				<span class='description'>
					<?php esc_html_e('It will be placed on right & bottom on the site except user dashboard.', 'javo-directory'); ?>
				</span>
			</th>
			<td>
				<fieldset class="inner">
					<div class="field-item form-check form-switch d-flex align-items-center gap-2">
						<?php
						foreach (array('disable' => esc_html__("Disabled", 'javo-directory'), 'enable' => esc_html__("Enable", 'javo-directory'),) as $strFloatingMenuKey => $strFloatingMenuLabel) {
							printf(
								'<input type="%1$s" id="jvbpd-floating_menu-%1$s" name="jvbpd_ts[floating_menu]" value="%2$s" class="field-item form-check-input"%3$s>',
								('disable' == $strFloatingMenuKey ? 'hidden' : 'checkbox'),
								$strFloatingMenuKey,
								checked($strFloatingMenuKey == jvbpd_tso()->get('floating_menu', 'disable'), true, false)
							);
						} ?>
						<label class="field-item form-check-label" for="jvbpd-floating_menu-checkbox">
							<?php esc_html_e("Enable Floating Menu", 'javo-directory'); ?>
						</label>
					</div>
				</fieldset>
				<fieldset class="inner field-floating-menu-content">
					<div class="field-item form-check form-switch d-flex align-items-center gap-2">
						<?php
						foreach (array('disable' => esc_html__("Disabled", 'javo-directory'), 'enable' => esc_html__("Enable", 'javo-directory'),) as $strFloatingScrollKey => $strFloatingScrollLabel) {
							printf(
								'<input type="%1$s" id="jvbpd-floating_menu_show_scroll-%1$s" name="jvbpd_ts[floating_menu_show_scroll]" value="%2$s" class="field-item form-check-input"%3$s>',
								('disable' == $strFloatingScrollKey ? 'hidden' : 'checkbox'),
								$strFloatingScrollKey,
								checked($strFloatingScrollKey == jvbpd_tso()->get('floating_menu_show_scroll', 'disable'), true, false)
							);
						} ?>
						<label class="field-item form-check-label" for="jvbpd-floating_menu_show_scroll-checkbox">
							<?php esc_html_e("Enable Scroll to show", 'javo-directory'); ?>
						</label>
					</div>
				</fieldset>
				<div class="field-item form-floating field-floating-menu-content mt-3">
					<input type="text" class="form-control" id="floating-shortcode" name="jvbpd_ts[floating_menu_content]" placeholder="<?php esc_html_e('add a shortcode.', 'javo-directory'); ?>" value="<?php echo esc_attr(jvbpd_tso()->get('floating_menu_content')); ?>">
					<label for="floating-shortcode">
						<?php esc_html_e('Add a shortcodde', 'javo-directory'); ?>
					</label>
					<span class="field-help-text">
						<a class="helper-popover" data-bs-toggle="popover" tabindex="0" data-bs-trigger="focus" data-bs-html="true" data-bs-title="<?php esc_html_e('Help & Tip', 'javo-directory'); ?>" data-bs-content="<?php esc_html_e('To create a shortcode, please go to <a href="edit.php?post_type=jvbpd-listing-elmt" target="_blank">javo builder</a> and create one to get a shortcode. There is no specific section for floating menu.', 'javo-directory'); ?>">
							<i class="feather feather-help-circle"></i>
						</a>
					</span>
				</div>
			</td>
		</tr>
		<tr>
			<th>
				<h3 class="section-title ps-0 ms-0 mt-0">
					<?php esc_html_e("mb_subsr Settings", 'javo-directory'); ?>
				</h3>
				<span class='description'>
					<?php esc_html_e('mb_subsr is for only a few languages - excerpt length. ex. Chinese', 'javo-directory'); ?>
				</span>
			</th>
			<td>
				<h4 class="section-title ps-0 ms-0 mt-0">
					<?php esc_html_e("Module Excerpt", 'javo-directory'); ?>
				</h4>
				<fieldset class="inner">
					<label class="field-label">
						<input type="radio" name="jvbpd_ts[core_module_excerpt]" value='' <?php checked('' == jvbpd_tso()->get('core_module_excerpt')); ?>>
						<?php esc_html_e("wp_trim_words ( Default )", 'javo-directory'); ?>
					</label>
					<label class="field-label">
						<input type="radio" name="jvbpd_ts[core_module_excerpt]" value='mb_substr' <?php checked('mb_substr' == jvbpd_tso()->get('core_module_excerpt')); ?>>
						<?php esc_html_e("mb_substr", 'javo-directory'); ?>
					</label>
				</fieldset>
			</td>
		</tr>
		<tr>
			<th>
				<h3 class="section-title ps-0 ms-0 mt-0">
					<?php esc_html_e("Plugin", 'javo-directory'); ?>
				</h3>
				<span class='description'>
					<?php // esc_html_e('', 'javo-directory'); 
					?>
				</span>
			</th>
			<td>
				<fieldset class="inner">
					<div class="field-item form-check form-switch d-flex align-items-center gap-2">
						<?php
						foreach (array('disable' => esc_html__("Disabled", 'javo-directory'), 'enable' => esc_html__("Enable", 'javo-directory'),) as $strFloatingMenuKey => $strFloatingMenuLabel) {
							printf(
								'<input type="%1$s" id="jvbpd-dequeue-google-map-%1$s" name="jvbpd_ts[dequeue_google_map]" value="%2$s" class="field-item form-check-input"%3$s>',
								('disable' == $strFloatingMenuKey ? 'hidden' : 'checkbox'),
								$strFloatingMenuKey,
								checked($strFloatingMenuKey == jvbpd_tso()->get('dequeue_google_map', 'disable'), true, false)
							);
						} ?>
						<label class="field-item form-check-label" for="jvbpd-dequeue-google-map-checkbox">
							<?php esc_html_e("Dequeue Google Map Script", 'javo-directory'); ?>
						</label>
						<span class="description position-relative pe-5">
							<?php esc_html_e("It will disable Google Maps", 'javo-directory'); ?>
							<span class="field-help-text">
								<a class="helper-popover" data-bs-toggle="popover" tabindex="0" data-bs-trigger="focus" data-bs-html="true" data-bs-title="<?php esc_html_e('Disable Google Maps', 'javo-directory'); ?>" data-bs-content="<?php esc_html_e('This option is when you are not using Maps.<br>If disabled, you won`t be able to use Maps, Near By, Search Geolocation and All Features related to Maps.', 'javo-directory'); ?>">
									<i class="feather feather-help-circle"></i>
								</a>
							</span>
						</span>
					</div>
				</fieldset>
			</td>
		</tr>
		<?php
		/**
		 * Fires at the bottom of the General settings.
		 *
		 * Use this hook to add additional settings fields.
		 */
		do_action('javo_theme_theme_setting_genenral_bottom_fields');
		?>
	</table>
</div>