<?php
$jvbpd_options = Array(
	'header_type' => apply_filters( 'jvbpd_options_header_types', Array() ),
	'header_skin' => Array(
		esc_html__("Light", 'javo-directory') => "",
		esc_html__("Dark", 'javo-directory') => "dark"
	),
	'able_disable' => Array(
		esc_html__("Disable", 'javo-directory') => "disabled",
		esc_html__("Able", 'javo-directory') => "enable"
	),
	'sticky_able_disable' => Array(
		esc_html__("Able", 'javo-directory') => "enable",
		esc_html__("Disable", 'javo-directory') => "disabled"
	),
	'header_fullwidth' => Array(
		esc_html__("Center Left", 'javo-directory') => "fixed",
		esc_html__("Center Right", 'javo-directory') => "fixed-right",
		esc_html__("Wide", 'javo-directory') => "full"
	),
	'header_relation' => Array(
		esc_html__("Transparency menu", 'javo-directory')	=> "absolute",
		esc_html__("Default menu", 'javo-directory') => "relative"
	),
	'default_header_relation' => Array(
		esc_html__("Default menu", 'javo-directory')	=> "relative",
		esc_html__("Transparency menu", 'javo-directory')	=> "absolute"
	),
); ?>

<div class="tab-pane fade" id="v-pills-header" role="tabpanel" aria-labelledby="v-pills-header-tab" tabindex="0">
	<h2><?php esc_html_e("Heading Settings", 'javo-directory'); ?>
		<span class="description ms-3 text-capitalize">
            <?php echo sprintf(
                    esc_html__( 'Set Page Default Templates. To create & manage templates, visit %s  on Javo Pagebuilder.', 'javo-directory' ),
                    '<a href="edit.php?post_type=jvbpd-listing-elmt&template=custom_header" target="_blank">' . esc_html__( 'Header Templates', 'javo-directory' ) . '</a>'
            ); ?>
        </span>
	</h2>
	<table class="form-table">

	<?php if(defined('ELEMENTOR_VERSION')) { ?>

		<tr><th>
			<h3 class="section-title ps-0 ms-0 mt-0"><?php esc_html_e( "Select a header", 'javo-directory');?></h3>
			<span class="description"><?php esc_html__("Set headers for templates. If not set, Default(Global) Header will be displayed. For directory manager pro, you can set headers on listing pages.If you set a header on a page, the header will be displayed.", 'javo-directory' ); ?></span>
		</th><td>

		<?php
		if( function_exists( 'jvbpdCore' ) ) :
			foreach( Array(
				'elementor_header' => Array(
					'label' => esc_html__( "Default(Global) Header", 'javo-directory'),
					'description' => esc_html__( 'It is a default & global header on all pages & posts.<br>To create & manage header templates, move to <a href="edit.php?post_type=jvbpd-listing-elmt&template=custom_header" target="_blank">Header Builder.</a>', 'javo-directory'),
				),
				'elementor_header_search_page' => Array(
					'label' => esc_html__( "Wordpress search result page", 'javo-directory'),
					'description' => esc_html__( 'It is for Default WP Search Result Page. To create & manage header templates, move to <a href="edit.php?post_type=jvbpd-listing-elmt&template=custom_header" target="_blank">Header Builder</a>.<br>If not selected, <b>Default(Global) Header</b> will be displayed.', 'javo-directory'),
				),
				'elementor_header_post' => Array(
					'label' => esc_html__( "Single post detail pages", 'javo-directory'),
					'description' => esc_html__( 'It is for single post & blog detail pages. To create & manage header templates, move to <a href="edit.php?post_type=jvbpd-listing-elmt&template=custom_header" target="_blank">Header Builder</a>.<br>If not selected, <b>Default(Global) Header</b> will be displayed.', 'javo-directory'),
				),
				'elementor_header_post_archive' => Array(
					'label' => esc_html__("Post archive pages", 'javo-directory'),
					'description' => esc_html__( 'It is for archive pages. To create & manage header templates, move to <a href="edit.php?post_type=jvbpd-listing-elmt&template=custom_header" target="_blank">Header Builder</a>.<br>If not selected, <b>Default(Global) Header</b> will be displayed.', 'javo-directory'),
				),
				'elementor_header_lv_listing' => Array(
					'label' => esc_html__( "Single listing detail pages", 'javo-directory'),
					'description' => esc_html__( 'It is for listing detail pages. To create & manage header templates, move to <a href="edit.php?post_type=jvbpd-listing-elmt&template=custom_header" target="_blank">Header Builder</a>.<br>If not selected, <b>Default(Global) Header</b> will be displayed.', 'javo-directory'),
					'condition' => jvbpdCore()->isActivatedPlugins('directory_manager'),
				),
				'elementor_header_lv_listing_archive' => Array(
					'label' => esc_html__( "Listing archive pages", 'javo-directory'),
					'description' => esc_html__( 'It is for listing archive pages. To create & manage header templates, move to <a href="edit.php?post_type=jvbpd-listing-elmt&template=custom_header" target="_blank">Header Builder</a>.<br>If not selected, <b>Default(Global) Header</b> will be displayed.', 'javo-directory'),
					'condition' => jvbpdCore()->isActivatedPlugins('directory_manager'),
				),
				'elementor_header_jv_portfolio' => Array(
					'label' => esc_html__( "Portfoilo detail pages", 'javo-directory'),
					'description' => esc_html__( 'It is for portfoilo detail pages if you are using. To create & manage header templates, move to <a href="edit.php?post_type=jvbpd-listing-elmt&template=custom_header" target="_blank">Header Builder</a>.<br>If not selected, <b>Default(Global) Header</b> will be displayed.', 'javo-directory'),
				),
				'elementor_header_tribe_events' => Array(
					'label' => esc_html__( "Single events detail pages(Tribe Event Calendar)", 'javo-directory'),
					'description' => esc_html__( 'It is for tribe event detail pages if you are using the plugin. To create & manage header templates, move to <a href="edit.php?post_type=jvbpd-listing-elmt&template=custom_header" target="_blank">Header Builder</a>.<br>If not selected, <b>Default(Global) Header</b> will be displayed.', 'javo-directory'),
					'condition' => class_exists( '\Tribe__Events__Main' ),
				),
				'elementor_header_mec-events' => Array(
					'label' => esc_html__( "Single events detail pages(Modern Events Calendar)", 'javo-directory'),
					'description' => esc_html__( 'It is for modern event detail pages if you are using the plugin. To create & manage header templates, move to <a href="edit.php?post_type=jvbpd-listing-elmt&template=custom_header" target="_blank">Header Builder</a>.<br>If not selected, <b>Default(Global) Header</b> will be displayed.', 'javo-directory'),
					'condition' => defined( 'MECEXEC' ),
				),
				'elementor_header_profile' => Array(
					'label' => esc_html__( "My Dashboard Page", 'javo-directory'),
					'description' => esc_html__( 'It is for BuddyPress User Dashboard Page, if you are using the plugin. To create & manage header templates, move to <a href="edit.php?post_type=jvbpd-listing-elmt&template=custom_header" target="_blank">Header Builder</a>.<br>If not selected, <b>Default(Global) Header</b> will be displayed.', 'javo-directory'),
					'condition' => function_exists( 'bp_is_active' ),
				),
				'elementor_header_member' => Array(
					'label' => esc_html__( "Member Page", 'javo-directory'),
					'description' => esc_html__( 'It is for BuddyPress Member Page, if you are using the plugin.. To create & manage header templates, move to <a href="edit.php?post_type=jvbpd-listing-elmt&template=custom_header" target="_blank">Header Builder</a>.<br>If not selected, <b>Default(Global) Header</b> will be displayed.', 'javo-directory'),
					'condition' => function_exists( 'bp_is_active' ),
				),
				'elementor_header_group' => Array(
					'label' => esc_html__( "Group Page", 'javo-directory'),
					'description' => esc_html__( 'It is for It is for BuddyPress group Page, if you are using the plugin.. To create & manage header templates, move to <a href="edit.php?post_type=jvbpd-listing-elmt&template=custom_header" target="_blank">Header Builder</a>.<br>If not selected, <b>Default(Global) Header</b> will be displayed.', 'javo-directory'),
					'condition' => function_exists( 'bp_is_active' ) && bp_is_active( 'groups'),
				),


			) as $elementor_header_key => $elementor_header_meta ) {
				if( isset( $elementor_header_meta['condition'] ) ){
					if( false === $elementor_header_meta['condition'] ) {
						continue;
					}
				} ?>

				<div class="field-item form-floating mb-4">

					<select class="selectpicker show-tick form-select" data-live-search="true" data-size="10" id="ddd" name="jvbpd_ts[<?php echo esc_attr($elementor_header_key); ?>]" aria-label="<?php esc_html_e("Select a header", 'javo-directory'); ?>">
						<option value=''><?php esc_html_e( "Select a header", 'javo-directory'); ?></option>
						<?php
						foreach( jvbpdCore()->admin->getElementorHeaderID() as $template_id  ) {
							if( false === get_post_status( $template_id ) ) {
								continue;
							}
							printf(
								'<option value="%1$s"%3$s>%2$s</option>', $template_id, get_the_title( $template_id ),
								selected( $template_id == jvbpd_tso()->get( $elementor_header_key, '' ), true, false )
							);
						} ?>
					</select>
					<label for="ddd"><?php echo esc_html( $elementor_header_meta[ 'label' ] ); ?></label>
					<?php
					if( isset( $elementor_header_meta[ 'description' ] ) ) { ?>
					<span class="field-help-text">
						<a class="helper-popover" data-bs-toggle="popover" data-bs-html="true" tabindex="0" data-bs-trigger="focus" data-bs-title="<?php esc_html_e('Help & Tip', 'javo-directory');?>" data-bs-content="<?php echo esc_html($elementor_header_meta[ 'description' ]);?>">
							<i class="feather feather-help-circle"></i>
						</a>
					</span>
					<?php
					} ?>
				</div>
				<?php
			}
		endif; ?>

		</td></tr>

	<?php } ?>

	</table>
</div>
