<?php
$arrPages = jvbpd_tso()->getPages();
$jvbpd_options = Array(
	'header_type' => apply_filters( 'jvbpd_options_header_types', Array() )
	, 'header_skin' => Array(
		esc_html__("Dark", 'javo-directory')							=> ""
		, esc_html__("Light", 'javo-directory')						=> "light"
	)
	, 'able_disable' => Array(
		esc_html__("Disable", 'javo-directory')					=> "disabled"
		,esc_html__("Able", 'javo-directory')							=> "enable"

	)
	, 'header_fullwidth' => Array(
		esc_html__("Center Left", 'javo-directory')						=> "fixed"
		, esc_html__("Center Right", 'javo-directory')			=> "fixed-right"
		, esc_html__("Wide", 'javo-directory')						=> "full"
	)
	, 'header_relation' => Array(
		esc_html__("Transparency menu", 'javo-directory')	=> "absolute"
		,esc_html__("Default menu", 'javo-directory')				=> "relative"
	)
	, 'portfolio_detail_page_head_style' => Array(
		esc_html__("Featured image with Title", 'javo-directory')	=> "featured_image"
		,esc_html__("Title on the top", 'javo-directory')	=> "title_on_top"
		,esc_html__("Title upper content ", 'javo-directory')				=> "title_upper_content"
	)

	, 'portfolio_detail_page_layout' => Array(
		esc_html__("Full Width - Content After", 'javo-directory')					=> "fullwidth-content-after"
		,esc_html__("Full Width - Content Before", 'javo-directory')					=> "fullwidth-content-before"
		,esc_html__("Right - Side Bar", 'javo-directory')					=> "quick-view"

	)
); ?>

<div class="tab-pane fade" id="v-pills-portfolio" role="tabpanel" aria-labelledby="v-pills-portfolio-tab" tabindex="0">
	<h2><?php esc_html_e("Portfolio Page Settings", 'javo-directory'); ?> </h2>
	<table class="form-table">
	<tr><th>
		<?php esc_html_e( "Page Setting", 'javo-directory');?>
	</th><td>

		<h4><?php esc_html_e( "Listing page", 'javo-directory');?>: </h4>
		<fieldset  class="inner">
			<select class="selectpicker show-tick form-select" name="jvbpd_ts[blog_list_page_id]">
				<option value=""><?php esc_html_e( "Select a page", 'javo-directory'); ?></option>
				<?php
				foreach( $arrPages as $objPage ) {
					printf(
						'<option value="%1$s"%3$s>%2$s</option>',
						$objPage->ID, $objPage->post_title,
						selected( jvbpd_tso()->get( 'blog_list_page_id' ) == $objPage->ID, true, false )
					);
				} ?>
			</select>
			<div class="description"><?php esc_html_e( "A portfolio list page to be moved when list button (or icon) is pressed on single portfolio pages.", 'javo-directory');?></div>
		</fieldset>

	</td></tr><tr><th>
		<?php esc_html_e( "Header / Menu", 'javo-directory');?>
		<span class="description"></span>
	</th><td>

		<h4><?php esc_html_e( "Header Style", 'javo-directory'); ?></h4>
		<fieldset class="inner">
			<dl>
				<dt><?php esc_html_e("Header type", 'javo-directory'); ?></dt>
				<dd>
					<select class="selectpicker show-tick form-select" name="jvbpd_ts[hd][portfolio_detail_page_head_style]">
						<?php
						foreach( $jvbpd_options['portfolio_detail_page_head_style'] as $label => $value )
						{
							printf( "<option value='{$value}' %s>{$label}</option>", selected( $value == jvbpd_tso()->header->get("portfolio_detail_page_head_style"), true, false ) );
						} ?>
					</select>
					<div class="description"><?php esc_html_e("Caution: If you choose transparent menu type, page's main text contents ascends as much as menu's height to make menu transparent.", 'javo-directory');?></div>
				</dd>
			</dl>
		</fieldset>
	</td></tr>
	<tr>
		<th>
			<?php esc_html_e( "Default Style", 'javo-directory');?>
			<span class="description"></span>
		</th>
		<td>
			<h4><?php esc_html_e( "Default Page Layout", 'javo-directory'); ?></h4>
			<fieldset class="inner">
				<select class="selectpicker show-tick form-select" name="jvbpd_ts[hd][portfolio_detail_page_layout]">
					<?php
					foreach( $jvbpd_options['portfolio_detail_page_layout'] as $label => $value )
					{
						printf( "<option value='{$value}' %s>{$label}</option>", selected( $value == jvbpd_tso()->header->get("portfolio_detail_page_layout"), true, false ) );
					} ?>
				</select>
				<div class="description"><?php esc_html_e("Caution: If you choose transparent menu type, page's main text contents ascends as much as menu's height to make menu transparent.", 'javo-directory');?></div>
			</fieldset>
		</td>
	</tr>
	</table>
</div>